Log In  

Next Thing Co. now has an alpha test image of the next version of the PocketCHIP software (4.4 alpha) that includes Pico-8 1.9. If you don't mind installing an alpha version (which may have bugs that cause data loss), it's easy to give it a try. It's easy enough that you probably don't even need instructions but there's one bit that I found by guessing so I thought I'd write it up.

You'll need a computer running Chrome, a USB-to-micro-USB cable, and your PocketCHIP. Ideally, the computer would be plugged into power so it doesn't lose power in the middle of the update.

  1. In Chrome, go to http://flash.getchip.com/. If this is your first time using the CHIP flash utility in Chrome, it will prompt you to install the Chrome extension. Do so.
  2. Connect PocketCHIP to your computer via the USB cable.
  3. Turn on PocketCHIP. Allow PocketCHIP to boot up to the main menu.
  4. On PocketCHIP, press the "power" on-screen button. In the power menu, select "Flash Software."
  5. In the Chrome window, start the flasher, then follow the prompts. Ignore the instructions involving a paperclip and "FEL" mode; you accomplished this with the menu option.
  6. Leave everything connected until the flasher utility reports success.
  7. Unplug PocketCHIP and allow it to reboot.

Start Pico-8 and notice it displays the 0.1.9 version number during start-up. Enjoy!

P#32191 2016-11-03 23:40 ( Edited 2016-11-16 00:35)

I don't understand why I can't just

sudo apt-get update && sudo apt-get upgrade

?

P#32227 2016-11-05 06:40 ( Edited 2016-11-05 10:40)

@josefnpat This update also adds 3D Acceleration, and other Kernel tweaks, which requires a complete reburn of the OS.

P#32233 2016-11-05 08:25 ( Edited 2016-11-05 12:25)

Also, it's still an alpha release. Only those willing to expose themselves to software risks will install that this way. It's safer, this way.

P#32234 2016-11-05 08:28 ( Edited 2016-11-05 12:28)

It's curious it's actually 0.1.9 and not 0.1.9b. It shouldn't cause too many issues though I am concerned potentially about:

Fixed: Shorthand if/then syntax error when using the form: (functionname)(param)

being in 0.1.9b and causing compatibility issues with BBS carts on pocketchip... though I mainly use PICO-8 to make my own stuff ;)

P#32240 2016-11-05 12:29 ( Edited 2016-11-05 16:29)

I'd just like to point that although theoretically pressing the "flash" button allows you to ignore the parts about the paperclip, in my own experience (using win7), I was unable to flash it without first wiring the Ground to the FEL pin (using the top of the pocketchip)

P#32288 2016-11-06 23:06 ( Edited 2016-11-07 04:06)

Ooh interesting! If more people report needing to ground the FEL pin I'll change the original post. I didn't need to.

P#32289 2016-11-07 00:07 ( Edited 2016-11-07 05:07)

I find this whole flash-to-update thing a big pain and not helpful to us in terms of getting games out to people. Hopefully I'll be wrong but I find the fact that I have to redo everything on my PocketCHIP just to be able to run current Pico8 games unfortunate.

Given Pico8 is a huge selling point for the PCHIP, I would have thought a simple download update would be the way to upgrade. So right now we make a game but it doesn't run on 0.1.7 (which you won't find out until it just quietly fails from Splore anyway), we gotta tell people to update their OS to be able to play...which means blowing everything away and reinstalling stuff. Who's going to want to do that? Hell, I barely want to do that...

If anything, as more and more games start of as 0.1.9, more and more won't play on PocketCHIP. Sooner than later, the PCHIP no longer becomes a prime Pico8 machine because people won't care enough to bother to flash to get them.

I guess I'm just struggling to have faith that people will want to flash their device just to get the latest version of Pico8 to be able to play our games. Hopefully I'm wrong.

P#32291 2016-11-07 09:23 ( Edited 2016-11-07 14:23)

I agree that flash-to-update is the wrong user experience for a handheld personal computer. It makes more sense for a hardware development platform, where you'd prefer to set it up from scratch then finalize the kernel for your project. It's too early to tell if Next Thing Co. is willing or able to offer different update methods for PocketCHIP vs. CHIP.

It's not entirely clear that flash-to-update is how the final 4.4 release will be distributed to PocketCHIP users, though so far it looks like it will be. It's how the alpha is being distributed. There's an opportunity for an in-place update (sudo apt-get update or a UI-driven equivalent). We may need to wait a couple of update cycles before things have settled down enough to use in-place updates going forward.

Pico-8 itself is still in alpha stages, so I think we should expect gaps like the compatibility issue at least until we hit beta.

P#32302 2016-11-07 12:30 ( Edited 2016-11-07 17:30)

I was able to flash the update without issue, and then sync'd my Pico 8 games from dropbox without issue as well.

So far, everything is working great. I'm glad to see this update from Next Thing co go out. I was beginning to worry we weren't going to get support from them.

P#32317 2016-11-07 21:32 ( Edited 2016-11-08 02:32)

I just tried this earlier, and now my CHIP is bricked. Or, at least it's stuck in "Flash Reboot" mode, but the Flasher doesn't detect it.

Are you certain about not having to hot-ground the FEL port? O.o

EDIT: Never mind. I did the paper clip thing, it fired right up. Sorry, it's still a necessary step!

P#32374 2016-11-10 09:29 ( Edited 2016-11-15 18:20)

It is probably worth noting that the update also doubles your storage from 4 gigs to 8 gigs. My understanding is that they were using the flash in a lower density mode and have finally sorted things out - but that storage change is a large part of why you can't just "apt-get upgrade". Still, I bought a 4 gig pocketchip that has 6.6 gigs of free storage after my installs, so not gonna complain.

P#32527 2016-11-15 19:35 ( Edited 2016-11-16 00:35)

[Please log in to post a comment]

Follow Lexaloffle:        
Generated 2019-12-10 00:52 | 0.017s | 4194k | Q:34